Booking
API Reference
POST
/api/v1/booking/bookBooking hotel
Document History
| version | publish date | Description |
|---|---|---|
| 1.0.0 | 25-10-2026 | Intial Specification |
Header Parameters
Content-Type
required
string
Content type
Example: application/json
Authorization
required
string
Authorization
Example: Bearer {accessToken}
Request Body
endUserIpAddress
required
string
IP address of end user
Response Schema
ref
required
string
Reference transaction
status
required
boolean
Status flag
code
required
string
Error code
Example: 200 / 400...
message
required
string
Error message
data
required
object
Data response object
confirmationNo
required
string
Confirmation number
confirmationRef
optional
string
Confirmation reference number (ref no with wholesale)
bookingRef
required
string
Gother booking reference number
bookingStatus
required
string
Gother booking status
Example: WAIT_TO_BOOK / BOOKED / CANCELLED / FAILED
Responses
| Status Code | Description |
|---|---|
| 200 | SUCCESS |
| 400 | Bad Request |
| 401 | Unauthorized |
| 404 | Not found |
| 500 | Internal server error |